/* Copyright (C) 1992, 1996, 1997, 1998, 1999 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#ifndef	ALLOCAH
#define	ALLOCAH	1

#include <stddef.h>

#ifndef _YVALS
 #include <yvals.h>
#endif
_C_STD_BEGIN

/* Remove any previous definitions.  */
#undef	__alloca
#undef	alloca

_C_LIB_DECL

/* Allocate a block.  */
extern void *_alloca (size_t __size);

#if (defined __ICC ) || (defined __ECC)
#define alloca(size)	_alloca (size)
#define __alloca(size)  _alloca(size) 
#endif

_END_C_LIB_DECL
_C_STD_END
#endif /* alloca.h */
