/* static char cvs_id[] = "$Id: xlocinfo.h,v 1.2 2001/11/02 19:22:54 ubivatur Exp $"; */
/* xlocinfo.h internal header for gcc Linux */
#ifndef _XLOCINFO
#define _XLOCINFO
#include <ctype.h>
#include <locale.h>
#include <wchar.h>
#ifndef _YVALS
#include <yvals.h>
#endif
_C_STD_BEGIN
_C_LIB_DECL

		/* CTYPE CODE BITS */
 #ifdef __GLIBC__
  #define _XB		0x0 /* extra blank */
  #define _XA		_ISalpha /* extra alphabetic */
  #define _XS		_ISspace /* extra space */
  #define _BB		_IScntrl /* BEL, BS, etc. */
  #define _CN		0x0 /* CR, FF, HT, NL, VT */
  #define _DI		_ISdigit /* '0'-'9' */
  #define _LO		_ISlower /* 'a'-'z' */
  #define _PU		_ISpunct /* punctuation */
  #define _SP		_ISblank /* space */
  #define _UP		_ISupper /* 'A'-'Z' */
  #define _XD		_ISxdigit /* '0'-'9', 'A'-'F', 'a'-'f' */
 #else /* __GLIBC__ */
  #define _XB		0x0 /* extra blank */
  #define _XA		_ISALPHA /* extra alphabetic */
  #define _XS		_ISSPACE /* extra space */
  #define _BB		_ISCNTRL /* BEL, BS, etc. */
  #define _CN		0x0 /* CR, FF, HT, NL, VT */
  #define _DI		_ISDIGIT /* '0'-'9' */
  #define _LO		_ISLOWER /* 'a'-'z' */
  #define _PU		_ISPUNCT /* punctuation */
  #define _SP		_ISBLANK /* space */
  #define _UP		_ISUPPER /* 'A'-'Z' */
  #define _XD		_ISXDIGIT /* '0'-'9', 'A'-'F', 'a'-'f' */
 #endif /* __GLIBC__ */

		/* SUPPLEMENTAL LOCALE MACROS AND DECLARATIONS */
#define _X_ALL			LC_ALL
#define _X_COLLATE		LC_COLLATE
#define _X_CTYPE		LC_CTYPE
#define _X_MONETARY		LC_MONETARY
#define _X_NUMERIC		LC_NUMERIC
#define _X_TIME 		LC_TIME
#define _X_MESSAGE		LC_MESSAGES
#define _X_MAX			_X_MESSAGE	/* highest real category */
#define _NCAT			(_X_MESSAGE + 1)	/* maximum + 1 */

#define _CATMASK(n)	(1 << (n))
#define _M_COLLATE	_CATMASK(_X_COLLATE)
#define _M_CTYPE	_CATMASK(_X_CTYPE)
#define _M_MONETARY	_CATMASK(_X_MONETARY)
#define _M_NUMERIC	_CATMASK(_X_NUMERIC)
#define _M_TIME		_CATMASK(_X_TIME)
#define _M_MESSAGE	_CATMASK(_X_MESSAGE)
#define _M_ALL		(_CATMASK(_NCAT) - 1)

		/* FUNCTION DECLARATIONS */
const short *_Getctyptab();
	#if 1
extern float _Stof(const char *, char **, long);
extern double _Stod(const char *, char **, long);
extern long double _Stold(const char *, char **, long);
	#else
char *_Getdays();
char *_Getmonths();
void *_Gettnames();
int _Mbrtowc(wchar_t *, const char *, size_t,
	mbstate_t *, const _Cvtvec *);
extern float _Stof(const char *, char **, long);
extern double _Stod(const char *, char **, long);
extern long double _Stold(const char *, char **, long);
int _Strcoll(const char *, const char *,
	const char *, const char *, const _Collvec *);
size_t _Strftime(char *, size_t, const char *,
	const struct tm *, void *);
size_t _Strxfrm(char *, char *,
	const char *, const char *, const _Collvec *);
int _Tolower(int, const _Ctypevec *);
int _Toupper(int, const _Ctypevec *);
int _Wcrtomb(char *, wchar_t, mbstate_t *, const _Cvtvec *);
int _Wcscoll(const wchar_t *, const wchar_t *,
	const wchar_t *, const wchar_t *, const _Collvec *);
size_t _Wcsxfrm(wchar_t *, wchar_t *,
	const wchar_t *, const wchar_t *, const _Collvec *);
	#endif
_END_C_LIB_DECL
_C_STD_END
#endif /* _XLOCINFO */

/*
 * Copyright (c) 1995-2001 by P.J. Plauger.  ALL RIGHTS RESERVED. 
 * Consult your license regarding permissions and restrictions.
V3.10:1161 */
