/* static char cvs_id[] = "$Id:"; */

/* Define the machine-dependent type `jmp_buf'.  IA-64 version.
   Copyright (C) 1999 Hewlett-Packard Co.
   Contributed by David Mosberger-Tang <davidm@hpl.hp.com.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#ifndef _SETJMP_H
# error "Never include <bits/setjmp.h> directly; use <setjmp.h> instead."
#endif

/* User code must not depend on the internal representation of jmp_buf. */

#define _JBLEN	70

/* the __jmp_buf element type should be __float80 per ABI... */
typedef struct __attribute__ ((aligned (16))) {long __jmp_buf[_JBLEN];} __jmp_buf[1];    /*MERGE 12/5/00 UDAY*/
/*typedef long __jmp_buf[_JBLEN] __attribute__ ((aligned (16))); */ /* guarantees 128-bit alignment! */

/* Test if longjmp to JMPBUF would unwind the frame containing a local
   variable at ADDRESS.  */
#define _JMPBUF_UNWINDS(_jmpbuf, _address)		\
     ((void *)(_address) < (void *)(((long *)_jmpbuf)[0]))
