/* static char cvs_id[] = "$Id: varargs.h,v 1.2 2001/11/02 19:22:54 ubivatur Exp $"; */

/**
*** Copyright (C) 1985-1999 Intel Corporation.  All rights reserved.
***
*** The information and source code contained herein is the exclusive
*** property of Intel Corporation and may not be disclosed, examined
*** or reproduced in whole or in part without explicit written authorization
*** from the company.
***
*** static char sccs_id[] = "@(#)varargs.h	1.5.12.1 09/08/99 15:45:10";
**/

/*
 * varargs.h
 *
 * Replacement header for standard varargs.h
 *
 * This replacement is necessary to support the 16 byte
 * aligned parameters.
 *
 * 18 Sept 1997 [kbs]
 */

#ifndef _INC_VARARGS
#define _INC_VARARGS

#include <stdarg.h>

#define va_dcl va_list va_alist;

#undef va_start;
#define va_start(ap) \
	((ap) = (va_list)&va_alist)

#endif	/* _INC_VARARGS */
